ranges::views::remove_base_fn Struct Reference
Inheritance diagram for ranges::views::remove_base_fn:

## Public Member Functions

template<typename Rng , typename Value >
CPP_TEMPLATE_AUX_0 | c (requires ` move_constructible< Value > &&viewable_range< Rng > &&input_range< Rng > &&indirectly_comparable< iterator_t< Rng >, Value const *, equal_to >) ccconstexpr auto operator()(Rng &&rng
template<typename Rng , typename Value , typename Proj >
CPP_TEMPLATE_AUX_0 | c (requires ` move_constructible< Value > &&viewable_range< Rng > &&input_range< Rng > &&indirectly_comparable< iterator_t< Rng >, Value const *, equal_to, Proj >) ccconstexpr auto operator()(Rng &&rng

## Public Attributes

CPP_TEMPLATE_AUX_0 Value value | const
CPP_TEMPLATE_AUX_0 Value Proj proj | const
CPP_TEMPLATE_AUX_0 Value | value

## Member Data Documentation

## const [1/2]

CPP_TEMPLATE_AUX_0 Value value ranges::views::remove_base_fn::const

Initial value:
{
return remove_if(static_cast<Rng &&>(rng),
pred_<Value>{std::move(value)})
ranges::aux::move
constexpr move_fn move
Definition: move.hpp:52

## const [2/2]

CPP_TEMPLATE_AUX_0 Value Proj proj ranges::views::remove_base_fn::const

Initial value:
{
return remove_if(static_cast<Rng &&>(rng),
pred_<Value>{std::move(value)},
std::move(proj))